<script setup>
const props = defineProps([
    'study',
    'active'
])
</script>

<template>
<div class="d-flex ml-3 pointer-cursor hover" @click="$emit('choose')">
    <div>
        <v-icon
            :icon="study.opened ? 'mdi-chevron-down' : 'mdi-chevron-right'"
            size="small"
            color="grey"
            @click.stop="$emit('open')"
        ></v-icon>
    </div>
    <div class="me-2">
        <v-icon
            icon="mdi-notebook-outline"
            size="small"
        ></v-icon>
    </div>
    <div :class="[{ 'font-weight-bold': active }, 'me-auto', 'text-truncate']">{{ study.name ? study.name : "No name" }}</div>
</div>
</template>

<style>
.pointer-cursor {
    cursor: pointer;
}

.hover:hover {
    background-color: #f2f2f2;
}
</style>
